/**
 * Line path for bezier and straight line draw
 */
import * as graphic from '../../util/graphic.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from "tvrender/lib/core/PathProxy.js";
declare class LinePlotShape {
    points: (number | number[])[];
    connectSelf?: boolean;
    barWidth?: number;
    isWebviewRender?: boolean;
    stroke?: string;
}
interface ECLineProps extends PathProps {
    shape: LinePlotShape;
}
declare class LinePlotPath extends graphic.Path<ECLineProps> {
    type: string;
    shape: LinePlotShape;
    constructor(opts?: ECLineProps);
    getDefaultStyle(): {
        stroke: string;
        fill: string;
    };
    getDefaultShape(): LinePlotShape;
    buildPath(ctx: PathProxy, shape: LinePlotShape): void;
}
export default LinePlotPath;
